QGIS Application - Bug report #9962
r.los crashes
2014-03-31 09:26 AM - Scott Madry

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Mac Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18460
Description

GRASS module r.los crashes (using the QGIS GRASS interface), giving this:

r.los input=elevation.10m@PERMANENT coordinate=602085.704,,4927029.641 obs_elev=1.75 max_dist=5000 output=LOS_elev

Using maximum distance from the viewing point (meters): 5000.000000

Module crashed or killed

| have tried multiple iterations with the same result.

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer
- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2015-02-14 12:31 PM - Markus Neteler

FWIW: In GRASS GIS 7, r.los has been retired and replaced by the very fast r.viewshed. The flags and parameters are rather identical.

#3 - 2015-11-13 07:50 AM - Radim Blazek

- Resolution set to worksforme

- Status changed from Open to Closed

r.los with GRASSS 6.4 works for me in QGIS 2.12, in GRASS 7 there is r.viewshed. Most probably the module itself was crashing regardless of QGIS. If
the problem persists, try to run the same command from GRASS shell, if it crashes also in GRASS shell, please report in GRASS bug tracker, if it happens
only in QGIS, please reopen this issue.
